# Class Library

Library Class

- Defined in packages/saltcorn-data/models/library.ts:17

##### Index

### Constructors

constructor

### Properties

icon
id?
layout
name

### Accessors

toJson

### Methods

delete
suitableFor
update
create
find
findOne

## Constructors

### constructor

- new Library(o: Library | LibraryCfg): Library

  Library constructor

  #### Parameters

  - o: Library | LibraryCfg

  #### Returns Library

  - Defined in packages/saltcorn-data/models/library.ts:27

## Properties

### icon

icon: string

- Defined in packages/saltcorn-data/models/library.ts:20

### `Optional` id

id?: number

- Defined in packages/saltcorn-data/models/library.ts:18

### layout

layout: any

- Defined in packages/saltcorn-data/models/library.ts:21

### name

name: string

- Defined in packages/saltcorn-data/models/library.ts:19

## Accessors

### toJson

- get toJson(): any

  #### Returns any

  - Defined in packages/saltcorn-data/models/library.ts:50

## Methods

### delete

- delete(): Promise<void>

  #### Returns Promise<void>

  - Defined in packages/saltcorn-data/models/library.ts:130

### suitableFor

- suitableFor(what: string): any

  #### Parameters

  - what: string

  #### Returns any

  - Defined in packages/saltcorn-data/models/library.ts:81

### update

- update(row: Row): Promise<void>

  #### Parameters

  - row: Row

  #### Returns Promise<void>

  - Defined in packages/saltcorn-data/models/library.ts:139

### `Static` create

- create(lib_in: LibraryCfg): Promise<void>

  #### Parameters

  - lib_in: LibraryCfg

  #### Returns Promise<void>

  - Defined in packages/saltcorn-data/models/library.ts:38

### `Static` find

- find(where: Where, selectopts?: SelectOptions): Promise<Library[]>

  #### Parameters

  - where: Where
  - `Optional` selectopts: SelectOptions

  #### Returns Promise<Library[]>

  - Defined in packages/saltcorn-data/models/library.ts:60

### `Static` findOne

- findOne(where: Where): Promise<Library>

  #### Parameters

  - where: Where

  #### Returns Promise<Library>

  - Defined in packages/saltcorn-data/models/library.ts:72